#include <iostream>
using namespace std;

int min(int op1, int op2);
double min(double op1, double op2);
char min(char op1, char op2);

int main() {
	cout << min(10, 20) << "\n";
	cout << min(5.5, 2.6) << "\n";
	cout << min('A', 'C') << "\n";
	return 0;
}

int min(int op1, int op2)
{
	return op1 < op2 ? op1 : op2;
}
double min(double op1, double op2)
{
	return op1 < op2 ? op1 : op2;
}
char min(char op1, char op2)
{
	return op1 < op2 ? op1 : op2;
}
